chmls(1)

NAME
chmls - The FPC Pascal CHM utility

SYNOPSIS

chmls [options] [command] [command specific parameters]

Description

The chmls utility performs several CHM related functions, such as listing CHM file contents, extracting one file or the whole archive and extracting special files. Archiving however is the domain of the chmcmd utility

Command

list <filename> [section number]
    Shows contents of the archive's directory. The section number can be 0 or 1, when no section number is specified, content from both sections is displayed.

extract <chm filename> <filename to extract> [saveasname]
    Extracts file "filename to get" from archive "filename", and, if specified, saves it to [saveasname].

extractall <chm filename> [directory]
    Extracts all files from archive "filename" to directory "directory"

unblockchm <filespec1> [filespec2] ..
    (Windows only) Mass unblocks (XPsp2+) the relevant CHMs. Multiple files and wildcards allowed

extractalias <chmfilename> [basefilename] [symbolprefix]
    Extracts context info from file "chmfilename" to basefilename.h and basefilename.ali, using symbols "symbolprefix" + contextnr

extracttoc <chmfilename> [filename]
    Extracts the toc (mainly to check binary TOC)

extractindex <chmfilename> [filename]
    Extracts the index (mainly to check binary index)

    For backwards compatibility reasons, the list command is default.

Options

-h, --help
    Show help text

-p, --no-page
    Do not page list command output

-n, --name-only
    Only show "name" column in list command output

SEE ALSO

    chmcmd(1) fpc(1) fpdoc(1)